summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGustaf Rydholm <gustaf.rydholm@gmail.com>2022-04-12 20:26:23 +0200
committerGustaf Rydholm <gustaf.rydholm@gmail.com>2022-04-12 20:26:23 +0200
commit25aa9cf364775086ff285f1291dc1644fc9920b4 (patch)
tree09e0a29fedb94dd8cd112e22c46e2829a9d17414
parent40263320fa45f52741c55f5c6e78afbdaa7ee2e7 (diff)
feat(setup): add setup shell script
-rw-r--r--setup.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/setup.sh b/setup.sh
new file mode 100644
index 0000000..ab86f04
--- /dev/null
+++ b/setup.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+which nvim >/dev/null 2>&1 || echo "Neovim not installed!" && exit 1
+which luarocks >/dev/null 2>&1 || echo "Luarocks not installed!" && exit 1
+luarocks list | grep "fennel" || echo "fennel is not installed" && exit 1
+
+nvim --headless +qa && nvim --headless -c "autocmd User PackerComplete quitall" -c "PackerSync"